/**
 * @file SystemMiddle.c
 * @brief MCU系统相关的全部代码:时钟、中断等
 * @author Landworld0321 (Landworld@landworld.com)
 * @version V1.0
 * @date 2025-04-22
 * @copyright Copyright (c) 2025 by Landworld.Co.Ltd. All rights reserved
 * 版本号    修改日期        修改人        修改内容
 * ---------------------------------------------------------------------------
 * v1.0    2025-04-22     WuHongHui     整理初版程序
 */

/*INCLUDE HEAD*********************************************************/
#include "SystemMiddle.h"

/*FUNCTION*********************************************************/

/**
 * @brief 使能全部中断
 * 
 */
void SystemMiddle_Enable_AllInterrupt(void)
{
	INT_SYS_EnableIRQGlobal();
}

/**
 * @brief 关闭全部中断
 * 
 */
void SystemMiddle_Disable_AllInterrupt(void)
{
	INT_SYS_DisableIRQGlobal();
}

/**
 * @brief 初始化时钟外设
 * 
 */
void SystemMiddle_InitClock(void)
{
	CLOCK_SYS_Init(g_clockManConfigsArr, CLOCK_MANAGER_CONFIG_CNT,
							g_clockManCallbacksArr, CLOCK_MANAGER_CALLBACK_CNT);

	CLOCK_SYS_UpdateConfiguration(0U, CLOCK_MANAGER_POLICY_FORCIBLE);
}
